# 读取excel数据  openpyxl的方式去读取
# 安装pip install openpyxl -i 镜像
import openpyxl

# 加载excel 你的excel在哪  ../  ./ 看你的运行文件在哪？
# 一套房子  base房间  data  common房间  main test在客厅
# common房间运行找 data登陆账号.xlsx
# 找到excel
def load_excel(file_name):
    # 加载excel
    workbook=openpyxl.load_workbook(file_name)
    # 找表单  Sheet1  Sheet2
    sheet=workbook['Sheet1']
    # 拿表单的值 很多值  循环拿里面的值  sheet.iter_rows 行
    # min_row=2 从第二行开始  values_only=True 获取单元格的值
    data=[]
    for i in sheet.iter_rows(min_row=2,values_only=True):
        # print(row)
        # (1,15574113900, 123456, True)
        # (2,15574113901, 123457, False)
        # (3,15574113902, 123458, False)
        # 数据还要做处理 元组 需要列表  i[1] 第一列拿出来   i[2] 第二列拿出来
        account=i[1]
        password=i[2]
        assertion=i[3]
        data.append((account,password,assertion))
    return data

    # [(15574113900, 123456, True), (15574113901, 123457, False), (15574113902, 123458, False)]
    # print(data)

# 测试这个方法  如果不写main  文件
if __name__ == '__main__':
    d=load_excel("../data/登陆账号.xlsx")
    print(d)